Bug 1675832 - qemu: FTBFS in Fedora rawhide/f30
Summary: qemu: FTBFS in Fedora rawhide/f30
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: Fedora
Classification: Fedora
Component: qemu
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Fedora Virtualization Maintainers
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: F30FTBFS
TreeView+ depends on / blocked
 
Reported: 2019-02-11 21:43 UTC by Fedora Release Engineering
Modified: 2019-02-12 10:48 UTC (History)
8 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-02-12 10:48:33 UTC


Attachments (Terms of Use)
build.log (1.00 KB, text/plain)
2019-02-11 21:43 UTC, Fedora Release Engineering
no flags Details
root.log (1.00 KB, text/plain)
2019-02-11 21:43 UTC, Fedora Release Engineering
no flags Details
state.log (469 bytes, text/plain)
2019-02-11 21:43 UTC, Fedora Release Engineering
no flags Details

Description Fedora Release Engineering 2019-02-11 21:43:31 UTC
qemu failed to build from source in Fedora rawhide/f30

https://koji.fedoraproject.org/koji/taskinfo?taskID=32469399


For details on the mass rebuild see:

https://fedoraproject.org/wiki/Fedora_30_Mass_Rebuild
Please fix qemu at your earliest convenience and set the bug's status to
ASSIGNED when you start fixing it. If the bug remains in NEW state for 8 weeks,
qemu will be orphaned. Before branching of Fedora 31,
qemu will be retired, if it still fails to build.

For more details on the FTBFS policy, please visit:
https://fedoraproject.org/wiki/Fails_to_build_from_source

Comment 1 Fedora Release Engineering 2019-02-11 21:43:34 UTC
Created attachment 1532502 [details]
build.log

file build.log too big, will only attach last 1024 bytes

Comment 2 Fedora Release Engineering 2019-02-11 21:43:35 UTC
Created attachment 1532503 [details]
root.log

file root.log too big, will only attach last 1024 bytes

Comment 3 Fedora Release Engineering 2019-02-11 21:43:37 UTC
Created attachment 1532504 [details]
state.log

Comment 4 Daniel Berrangé 2019-02-12 10:48:33 UTC
Not a QEMU bug, but a systemtap deps failure

DEBUG util.py:490:  BUILDSTDERR: Error: 
DEBUG util.py:490:  BUILDSTDERR:  Problem: package systemtap-4.1-0.20190125git905865da1024.fc30.x86_64 requires systemtap-client = 4.1-0.20190125git905865da1024.fc30, but none of the providers can be installed
DEBUG util.py:490:  BUILDSTDERR:   - package systemtap-client-4.1-0.20190125git905865da1024.fc30.x86_64 requires systemtap-runtime = 4.1-0.20190125git905865da1024.fc30, but none of the providers can be installed
DEBUG util.py:490:  BUILDSTDERR:   - conflicting requests
DEBUG util.py:490:  BUILDSTDERR:   - nothing provides libboost_system.so.1.66.0()(64bit) needed by systemtap-runtime-4.1-0.20190125git905865da1024.fc30.x86_64

This was already resolved when systemtap was built on Feb 7th.


Note You need to log in before you can comment on or make changes to this bug.